<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Form Input User</title>
</head>
<body>

<section layout:fragment="main" class="clearfix">
    <section class="clearfix">
        <form th:action="@{/user/add}" th:object="${user}" method="post">
            <input type="hidden" name="id" th:field="*{id}">
            <div class="row">
                <div class="col-md-6 col-sm-12 col-xs-12">
                    <div class="x_panel tile fixed_height_160">
                        <div class="x_title">
                            <h1>Input Users</h1>
                            <div class="clearfix"></div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <div th:if="${error}" class="alert alert-danger alert-dismissible " role="alert">
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                                    </button>
                                    <strong th:text="${error}">Holy guacamole!</strong>
                                </div>
                                <div class="card">
                                    <div class="row clearfix">
                                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                            <div class="card">
                                                <div class="body">
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <div class="form-line">
                                                                <label>Username</label>
                                                                <input type="text" name="username" th:field="*{username}"
                                                                       class="form-control" required/>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <div class="form-line">
                                                                <label>Password</label>
                                                                <input type="password" name="password" class="form-control" required/>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <div class="form-line">
                                                                <label for="Role">Role</label>
                                                                <select name="role" id="role" th:field="*{role}" class="form-control">
                                                                    <option value="" selected disabled>-- PILIH ROLE --</option>
                                                                    <option th:each="r : ${listRole}"
                                                                            th:text="${r.description}"
                                                                            th:value="${r.id}"></option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <div class="form-line">
                                                                <label>Status</label><br>
                                                                <label>
                                                                    <input name="active" th:field="*{status}" type="checkbox" value="1" class="flat" />
                                                                </label >
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-12">
                                                        <div class="form-group">
                                                            <div class="form-line">
                                                                <button class="btn btn-md btn-info waves-effect" type="submit">SELESAI</button>
                                                                <a th:href="@{/user/list}" class="btn btn-md btn-danger waves-effect" type="submit">BATAL</a>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                                <!--//table//-->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </form>
    </section>

</section>

</body>
</html>